Code-X Technical Support

Why do I get "Adobe AIR.framework" is damaged and can't be opened when trying to run Code-X on MacOS 10.15 Catalina?

Code-X is not compatible with the macOS 10.15 Catalina operating system, Apple's latest version of macOS released October 2019. Apple's decision to remove 32-bit application support from Catalina has impacted many applications including Adobe AIR, which Code-X requires to run on both Windows and Mac.  Adobe has not provided any patches to Adobe AIR to run in a 64-bit only environment and has made no commitment to do so.  Until Adobe releases an updated version that supports Catalina, Code-X will not be compatible with the OS and will not run.

AFFECTED USERS

This issue is specific to Code-X Mac users only.


AFFECTED PRODUCT(S)

Code-X Desktop Mac, Code-X Network MUM Mac


 Options

There is a workaround to get Code-X to run on Catalina.  You must be logged in as the administrator user on the Mac to follow the instructions below:

  1. Open up a Terminal window on the Mac
  2. Enter the following command in the Terminal window: 

    sudo xattr -r -d com.apple.quarantine /Library/Frameworks/Adobe\ AIR.framework/

  3. If you get prompted to enter a password, please make sure you enter the password for the administrator use

  4. Now you should be able to launch and run Code-X on MacOS Catalina.

Here are some other options:
  • Not upgrade to macOS 10.15 Catalina or revert back to macOS 10.14 Mojave, if possible.
  • Install/Run Code-X on a different workstation running Windows or an earlier, supported version of macOS (e.g. 10.14 Mojave)
  • Install/Use Code-X Lite on a supported mobile device if none of the options above are workable